"use client";
import { useRouter } from "@/i18n";
import { NextUIProvider } from "@nextui-org/system";
import { ThemeProvider } from "next-themes";
import { ThemeProviderProps } from "next-themes/dist/types";
import { ReactNode } from "react";

export interface ProvidersProps {
    children: ReactNode;
    themeProps?: Omit<ThemeProviderProps, "children">;
}

export const Providers = ({ children, themeProps }: ProvidersProps) => {
    const router = useRouter();
    return (
        <NextUIProvider navigate={router.push}>
            <ThemeProvider {...themeProps}>{children}</ThemeProvider>
        </NextUIProvider>
    );
};
